Bug 1012205 - [whql][vioser]Plug and Play job failed on win2k3-32 and wink3-64 OS due to PNPTryStopDeviceAndFailRestart and PNPSurpriseRemoveAndRestartDevice
[whql][vioser]Plug and Play job failed on win2k3-32 and wink3-64 OS due to PN...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: 7.0
Assigned To: Gal Hammer
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 22:37 EDT by Min Deng
Modified: 2014-07-11 02:15 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:58:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Min Deng 2013-09-25 22:37:57 EDT
Description of problem:
The issue occurs on both wn2k3-32 and win2k3-64 guest.
Plug and Play job failed on win2k3-32 and wink3-64 OS due to PNPTryStopDeviceAndFailRestart and PNPSurpriseRemoveAndRestartDevice
Version-Release number of selected component (if applicable):
build70
kernel-414
qemu-kmv-rhev-397

How reproducible:
5 times
Steps to Reproduce:
1.boot up guest with the following CLI
...
/usr/libexec/qemu-kvm \
-M rhel6.5.0 \
-m 2G \
-smp 4,cores=4 \
-cpu cpu64-rhel6,+x2apic,family=0xf \
-usb \
-device usb-tablet \
-drive file=win2k3-32-serial.raw,if=none,id=drive-ide0-0-0,format=raw,rerror=stop,werror=stop,cache=none \
-device ide-drive,drive=drive-ide0-0-0,id=ide0-0-0-0,bootindex=1 \
-netdev tap,sndbuf=0,id=hostnet0,script=/etc/qemu-ifup,downscript=no \
-device e1000,netdev=hostnet0,mac=00:31:32:c1:a3:31,id=net0 \
-uuid a0c24c48-0e84-4bb2-bc23-02cda4c2bc93 \
-no-kvm-pit-reinjection \
-chardev socket,id=111a,path=/tmp/monitor-win2k3-32-serial-70,server,nowait \
-mon chardev=111a,mode=readline \
-name win2k3-32-serial-70 \
-vnc :1 \
-vga cirrus \
-rtc base=localtime,clock=host,driftfix=slew \
-device virtio-serial-pci,id=virtio-serial0,max_ports=16,vectors=4,bus=pci.0 \
-chardev socket,id=channel0,path=/tmp/tt,server,nowait \
-device virtserialport,chardev=channel0,name=org.linux-kvm.port.0,bus=virtio-serial0.0 \
-global PIIX4_PM.disable_s3=1 \
-global PIIX4_PM.disable_s4=0 \
-monitor stdio
done
 ...
2.submit the jobs 
3.

Actual results:
The job always failed

Expected results:
The job can pass

Additional info:
Will upload the hck logs to the bug
Comment 2 Min Deng 2013-09-25 22:52:40 EDT
Created attachment 803197 [details]
Logs
Comment 3 Gal Hammer 2013-09-29 05:31:22 EDT
Which version of the WHQL tests suite is it?
Comment 4 Mike Cao 2013-09-29 05:35:32 EDT
(In reply to Gal Hammer from comment #3)
> Which version of the WHQL tests suite is it?

HCK2.0  . I think this is a known issue . Run this job without virtserialport can workaound it 

Mike
Comment 5 RHEL Product and Program Management 2013-10-13 21:55:52 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 Ronen Hod 2014-01-01 17:37:51 EST
QE,
Is this bug still relevant?
Comment 8 lijin 2014-01-21 02:07:10 EST
As we have upgrade hck2.0 to hck2.1 and win2k3 cannot install hck2.1 client correctly,I ran this job on WLK.
I failed to reproduce this issue,both with build70 and build74,this job can pass without any error.

package info:
qemu-kvm-rhev-1.5.3-30.el7.x86_64
kernel-3.10.0-64.el7.x86_64
seabios-1.7.2.2-7.el7.x86_64
Comment 9 Gal Hammer 2014-01-21 04:20:04 EST
Good to hear, as WHQL certification for Windows XP, 2003 and 2008 (not R2) are tested using WLK and not HCK 2.1.

Moving to QE for verification and closer.

Thanks!
Comment 11 Ludek Smid 2014-06-13 05:58:09 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.